## Name

![Icon](/res/icons/16x16/app-2048.png) 2048

[Open](file:///bin/2048)

## Synopsis

```**sh
$ 2048
```

## Description

`2048` is the Serenity implementation of the 2014 game by [Gabriele Cirulli](https://github.com/gabrielecirulli/2048).

The game begins with a 4x4 grid containing two tiles, each with a value of 2 or 4.
Use the arrow keys (or WASD) to move all tiles up, down, left, or right. When two tiles with the same number collide, they merge into one with the sum of their values. A new tile appears in a random empty space after each move. The goal is to combine tiles until they reach 2048, though gameplay can extend beyond this point. The game ends when the grid is full, and no more moves are possible.

This implementation supports Undo (`Ctrl+Z`) and Redo (`Shift+Ctrl+Z`).

Press `F2` to start a new game.

## Settings

Modify game size, goal and difficulty in the settings. The options are:

* **Board Size** - Set the grid to the chosen number squared.
* **Target Tile** - The winning number, a power of two (e.g. 11 for 2048, 12 for 4096).
* **Evil AI** - Generates new tiles with the worst possible place and value.
* **Temporarily apply changes** - Changes to settings won't persist between sessions.

Start a new game for changes to apply.
